<?php

namespace App\Http\Controllers\User\Api;

use Auth;
use Illuminate\Http\Request;

use App\Http\Modules\User\ContractModule;

use App\Http\Controllers\User\BaseController;

class ContractController extends BaseController
{
    public function __construct()
    {
        parent::__construct();
    }

    public function list(Request $request)
    {
    	$contract = ContractModule::list($request);
    	return $contract;
    }

    public function show(Request $request, $hash_id)
    {
        $contract = ContractModule::show($request, $hash_id);
        return $contract;
    }

    public function generate(Request $request)
    {
        $contract = ContractModule::generate($request);
        return $contract;
    }

    public function update(Request $request, $hash_id)
    {
        $contract = ContractModule::update($request, $hash_id);
        return $contract;
    }

    public function delete(Request $request, $hash_id)
    {
        $contract = ContractModule::delete($request, $hash_id);
        return $contract;
    }
}
